## org.apache.hadoop.fs.s3
Class S3Credentials

    java.lang.Object
      org.apache.hadoop.fs.s3.S3Credentials

    public class S3Credentials

extends Object

Extracts AWS credentials from the filesystem URI or configuration.

Constructor Summary
`S3Credentials()`

Method Summary
`String` `getAccessKey()`
`String` `getSecretAccessKey()`
`void` `initialize(URI uri, Configuration conf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### S3Credentials

    public S3Credentials()

Method Detail

### initialize

    public void initialize(URI uri,
                           Configuration conf)

  Throws:
    `IllegalArgumentException` - if credentials for S3 cannot be determined.

### getAccessKey

    public String getAccessKey()

### getSecretAccessKey

    public String getSecretAccessKey()

Copyright © 2009 The Apache Software Foundation